Package com.pixelmed.dicom

# Class FunctionalGroupUtilities.Selector

java.lang.Object
com.pixelmed.dicom.FunctionalGroupUtilities.Selector

Enclosing class:
  FunctionalGroupUtilities

public static class FunctionalGroupUtilities.Selector extends Object

A class to select which functional groups are copied or propagated or removed or not during operations on functional groups.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`framecontent`
`boolean`
`spatial`
`boolean`
`unclassified`

## Constructor Summary

Constructors
Constructor
Description
`Selector(boolean allSelected)`
Construct a selector with all functional groups selected or not selected.
`Selector(String[] arg, ArrayList<String> remainder)`
Construct a selector with only functional groups named in arguments selected.

## Method Summary

Modifier and Type
Method
Description
`void`
`setAll(boolean setting)`
Set all selectors to the specified setting.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### spatial

public boolean spatial

### framecontent

public boolean framecontent

### unclassified

public boolean unclassified

## Constructor Details

### Selector

public Selector(boolean allSelected)

Construct a selector with all functional groups selected or not selected.

Parameters:
  `allSelected` - true if all functional groups are selected rather than not selected on construction

### Selector

public Selector(String[] arg, ArrayList<String> remainder)

Construct a selector with only functional groups named in arguments selected.

Used to decode selectors from command line arguments.

Strings recognized are -all|-spatial|-framecontent|-unclassified.

Parameters:
  `arg` - command line arguments
  `remainder` - empty list to add remaining command line arguments after anything used was removed

## Method Details

### setAll

public void setAll(boolean setting)

Set all selectors to the specified setting.

Parameters:
  `setting` - true if all functional groups are selected rather than not selected